The following shows how to generate the prolexic-posture-visibility-kpi-packets-flow-count report using either the Reporting API's Generate a report POST operation or the Get a cacheable report GET operation. Details about each report's supported products, metrics, filters, and available data intervals are also available dynamically by running the API's Get a report type operation, also shown below. See also other available reports.
Report definition
Provides posture visibility metrics for DDoS packet traffic flow count by the selected filters. Default time interval is FIVE_MINUTES.
Business object: securityConfigs
Data available for: 90 days
Required products: Prolexic Routed, Prolexic over ADC, Prolexic Connect, or IP Protect
Available data
| Data column | Description |
|---|---|
flowCount | The total traffic flow count |
Available filters
| Filter | Type | Description |
|---|---|---|
securityConfigs | Array of strings | The security configurations to filter by |
ports | Array of strings | Supported values: 53, 123, 389, 1900, 80 |
protocols | Array of strings | Supported values: all, udp |
protectedPrefixes | Array of strings | The security configurations to filter by REQUIRED Limit of 1 prefix |
protectedSubPrefixes | Array of strings | The protected sub-prefixes to filter by OPTIONAL Limit of 1 prefix |
POST request
POST /reporting-reports-executor-api/v1/reports/prolexic-posture-visibility-kpi-packets-flow-count/versions/1.0/report-data{?start,end}
Sample:
/reporting-reports-executor-api/v1/reports/prolexic-posture-visibility-kpi-total-flow-count/versions/1.0/report-data?start=2025-11-14T13%3A00%3A00Z&end=2025-11-21T14%3A00%3A00Z
Query parameters
| Parameter | Type | Sample | Description |
|---|---|---|---|
start | String | 2025-05-01T00:00:00Z | Specifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value's timestamp. REQUIRED |
end | String | 2025-06-01T00:00:00Z | Specifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value's timestamp. REQUIRED |
JSON request members
| Member | Type | Description |
|---|---|---|
objectType | String | Specifies the business object for the report |
filters | Object | Specifies a set of custom filters, with each filter's name keying an array with each filter's set of values: targetIps |
Request body:
{
"objectType": "securityConfigs",
"objectIds": [
"some-security-config-name"
],
"filters": {
"securityConfigs": ["some-security-config-name"],
"ports": ["80"],
"protectedPrefixes": ["100.84.152.0/24"],
"protocols": ["udp"]
}
}JSON response
Status 200 application/json
Response body:
{
"metadata": {
"name": "prolexic-posture-visibility-kpi-packets-flow-count",
"version": "1.0",
"outputType": "FLAT",
"groupBy": [],
"interval": "{INTERVAL}",
"start": "{START_DATE_TIME}",
"end": "{END_DATE_TIME}",
"availableDataEnds": null,
"suggestedRetryTime": null,
"rowCount": 1,
"filters": [
{
"name": "securityConfigs",
"values": [
"Some-security-config-name"
]
},
{
"name": "ports",
"values": [
"80"
]
},
{
"name": "protectedPrefixes",
"values": [
"100.84.152.0/24"
]
},
{
"name": "protocols",
"values": [
"udp"
]
}
],
"columns": [
{
"name": "flowCount",
"label": "Flow Count"
}
],
"objectType": "securityConfigs",
"objectIds": [
"some-security-config-name"
]
},
"data": [
{
"flowCount": "0"
}
],
"summaryStatistics": {}
}